#!/usr/bin/python
# -*- encoding: utf-8; py-indent-offset: 4 -*-

psirt_severity = [
                (1, _('Critical')),
                (2, _('High')),
                (3,_('Medium')),
                (4, _('Low')),
                (0, _('All')),
              ]

not_active = [
                (0, _('Ok')),
                (1, _('Warning')),
                (2, _('Critical')),
            ]

register_rule('activechecks',
    'active_checks:cisco_api_status',
    Dictionary(
        title=_('Check status of Cisco support API'),
        help=_('help .....'),
        elements = [
           ('psirt',
             Dictionary(
                 title=_('PSIRT API options'),
                 elements=[
                     ('crit-days',
                      Integer(
                          title=_('set outcome to critical is new/updated advisory not older then days'),
                          default_value=7,
                          allow_empty=False,
                      )
                      ),
                     ('warn-days',
                      Integer(
                          title=_('set outcome to warning is new/updated advisory not older then days'),
                          default_value=31,
                          allow_empty=False,
                      )
                      ),
                     ('crit-severity', DropdownChoice(
                         choices=psirt_severity,
                         title=_('set outcome to critical if new/updated advisory equal or above severity'),
                         default_value=2
                     )),
                     ('warn-severity', DropdownChoice(
                         choices=psirt_severity,
                         title=_('set outcome to warning if new/updated advisory equal or above severity'),
                         default_value=3
                     )),
                     ('not-active', DropdownChoice(
                         choices=not_active,
                         title=_('set status if PSIRT API is not active'),
                     )),

                 ]
           )),
            ('eox',
             Dictionary(
                 title=_('EoX API options'),
                 elements=[
                     ('crit-new',
                      Integer(
                          title=_('set outcome to warning is new/updated EoL announcement not older then days'),
                          default_value=7,
                          allow_empty=False,
                      )),
                     ('warn-new',
                      Integer(
                          title=_('set outcome to warning is new/updated EoL announcement not older then days'),
                          default_value=30,
                          allow_empty=False,
                      )),
                     ('crit-change',
                      Integer(
                          title=_('set outcome to critical is EoL announcement is about to change in days'),
                          default_value=30,
                          allow_empty=False,
                      )),
                     ('warn-change',
                      Integer(
                          title=_('set outcome to warning is EoL announcement is about to change in days'),
                          default_value=90,
                          allow_empty=False,
                      )),
                     ('not-active', DropdownChoice(
                         choices=not_active,
                         title=_('set status if EoX API is not active'),
                     )),
                 ]
             )),
            ('suggestion',
             Dictionary(
                 title=_('SUGGESTION API options'),
                 elements=[
                     ('not-active', DropdownChoice(
                         choices=not_active,
                         title=_('set status if SUGGESTION is API not active'),
                     )),

                 ]
             )),
            ('sn2info',
             Dictionary(
                 title=_('SN2INFO (contract) API options'),
                 elements=[
                     ('crit-change',
                      Integer(
                          title=_('set outcome to critical is contract is about to change in days'),
                          default_value=30,
                          allow_empty=False,
                      )),
                     ('warn-change',
                      Integer(
                          title=_('set outcome to warning is contract is about to change in days'),
                          default_value=90,
                          allow_empty=False,
                      )),
                     ('not-active', DropdownChoice(
                         choices=not_active,
                         title=_('set status if SN2INFO API is not active'),
                     )),

                 ]
             )),
        ]
    ),
    match='all',
)
