#!/usr/bin/python
# -*- encoding: utf-8; py-indent-offset: 4 -*-


removecolumns = [
#    ('status', 'Status'),
    ('product', 'Product'),
    ('description', 'Description'),
    ('headline', 'Headline'),
    ('support_case_count', 'Support case count'),
    ('last_modified_date', 'Last modified date'),
    ('behavior_changed', 'Behavior changed'),
#    ('bug_id', 'Bug ID'),
    ('base_pid', 'Base PID'),
    ('known_fixed_releases', 'Known fixed releases'),
    ('id', 'ID'),
    ('known_affected_releases', 'known affected releases'),
    ('severity', 'Severity'),
]

register_rule('inventory', 'inv_parameters:inv_cisco_bug',
              Dictionary(
                  title=_('Cisco bug advisories'),
                  elements=[
                      ('disable_bug',
                       FixedValue(
                           True,
                           title=_('disable Cisco bug information'),
                           help=_('if true, CMK will not request bug information from Cisco'),
                       )),
                      ('removecolumns',
                       ListChoice(
                           title=_('remove columns'),
                           label=_('remove columns'),
                           help=_('remove information from report'),
                           choices=removecolumns,
                           default_value=['base_pid',
                                          'description',
                                          'id',
                                          'known_affected_releases',
                                          'product',
                                          ],
                       )
                       ),
                  ]
              ),
              match='dict',
              )
