#!/usr/bin/python
# -*- encoding: utf-8; py-indent-offset: 4 -*-

removecolumns = [
#    ('ProductIDDescription', 'PID Description'),
    ('LinkToProductBulletinURL', 'EOL bulletin URL'),
    ('EndOfSecurityVulSupportDate', 'End of service vulnerability support'),
    ('EndOfSWMaintenanceReleases', 'End of software maintenance releases'),
    ('EndOfRoutineFailureAnalysisDate', 'End of routine failure analysis'),
    ('MigrationProductId', 'Migration PID'),
    ('MigrationInformation', 'Migration information'),
    ('MigrationProductInfoURL', 'Migration PID URL'),
    ('MigrationProductName', 'Migration product name'),
]

register_rule('inventory', 'inv_parameters:inv_cisco_eox',
              Dictionary(
                  title=_('Cisco EoX staus'),
                  elements=[
                      ('disable_EoX',
                       FixedValue(
                           True,
                           title=_('disable Cisco EoX inventory'),
                           help=_('if true, CMK will request EoX information from Cisco'),
                       )),
                      ('always_use_serial',
                       FixedValue(
                           True,
                           title=_('always use serial number'),
                           help=_('if true, CMK will request Cisco EoX information via serial number (default is use PID)'),
                       )),
                      ('removecolumns',
                       ListChoice(
                           title=_('remove columns'),
                           label=_('remove columns'),
                           help=_('remove information from EoX report'),
                           choices=removecolumns,
                           default_value=['EndOfSecurityVulSupportDate',
                                          'EndOfSWMaintenanceReleases',
                                          'EndOfRoutineFailureAnalysisDate',
                                          'MigrationInformation',
                                          'MigrationProductInfoURL',
                                          'MigrationProductName',
                                          ],
                       )),
                      ('PID_black_list',
                       ListOfStrings(
                           title=_('drop Product IDs beginning with'),
                           orientation='horizontal',
                           help=_('there will be no request for the following PID'),
                       )),
                      ('PID_bad_list',
                       ListOfStrings(
                           title=_('request EoX information for the following Product IDs via serial number'),
                           orientation='horizontal',
                           help=_('the EoX request for the following PID will by via serial number'),
                       )),
                      ('SN_black_list',
                       ListOfStrings(
                           title=_('drop entrys with the following serial number(s)'),
                           orientation='horizontal',
                           help=_('there will be noe EoX request for the following serial numbers'),
                       )),
                  ],
              ),
              match='dict',
              )
