#!/usr/bin/python
# -*- encoding: utf-8; py-indent-offset: 4 -*-

removecolumns = [
    ('isSuggested', 'is suggested'),
    ('majorRelease', 'major release'),
    ('relDispName', 'release display name'),
    ('releaseFormat1', 'release format1'),
    ('releaseTrain', 'release train'),
    ('trainDispName', 'train display name'),
    ('mdfId', 'Metadata Framework ID '),
]

register_rule('inventory', 'inv_parameters:inv_cisco_suggestion',
              Dictionary(
                  title=_('Cisco software suggestion'),
                  elements=[
                      ('disable_suggestion',
                       FixedValue(
                           True,
                           title=_('disable Cisco software suggestion'),
                           help=_('if true, CMK will not request software suggestion information from Cisco'),
                       )),
                      ('removecolumns',
                       ListChoice(
                           title=_('remove columns'),
                           label=_('remove columns'),
                           help=_('remove information from report'),
                           choices=removecolumns,
                           default_value=['isSuggested',
                                          'majorRelease',
                                          'relDispName',
                                          'releaseFormat1',
                                          'releaseTrain',
                                          'trainDispName',
                                          'mdfId',
                                          ],
                       )),
                      ('PID_black_list',
                       ListOfStrings(
                           title=_('drop Product IDs beginning with'),
                           orientation='horizontal',
                           help=_('there will be no request for the following PID(s)'),
                       )),
                  ],
              ),
              match='dict',
              )
